<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Outras ServiceType
 * @subpackage Services
 */
class Outras extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named OutrasPessoasVitimas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \TRIBUNALWS\OutrasPessoasVitimas $parameters
     * @return \TRIBUNALWS\OutrasPessoasVitimasResponse|bool
     */
    public function OutrasPessoasVitimas(\TRIBUNALWS\OutrasPessoasVitimas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->OutrasPessoasVitimas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named OutrasPessoasDenunciados
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \TRIBUNALWS\OutrasPessoasDenunciados $parameters
     * @return \TRIBUNALWS\OutrasPessoasDenunciadosResponse|bool
     */
    public function OutrasPessoasDenunciados(\TRIBUNALWS\OutrasPessoasDenunciados $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->OutrasPessoasDenunciados($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named OutrasPessoasTestemunhas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \TRIBUNALWS\OutrasPessoasTestemunhas $parameters
     * @return \TRIBUNALWS\OutrasPessoasTestemunhasResponse|bool
     */
    public function OutrasPessoasTestemunhas(\TRIBUNALWS\OutrasPessoasTestemunhas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->OutrasPessoasTestemunhas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named OutrasPessoasDenunciantes
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \TRIBUNALWS\OutrasPessoasDenunciantes $parameters
     * @return \TRIBUNALWS\OutrasPessoasDenunciantesResponse|bool
     */
    public function OutrasPessoasDenunciantes(\TRIBUNALWS\OutrasPessoasDenunciantes $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->OutrasPessoasDenunciantes($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \TRIBUNALWS\OutrasPessoasDenunciadosResponse|\TRIBUNALWS\OutrasPessoasDenunciantesResponse|\TRIBUNALWS\OutrasPessoasTestemunhasResponse|\TRIBUNALWS\OutrasPessoasVitimasResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
